# Acoupi Tutorials

This section of the documentation contains step-by-step tutorials to help you getting started with _acoupi_.
The tutorials aims to outline what _acoupi_ is capable of while providing specific information such as installing _acoupi_, configuring a pre-built program, retrieving deployment information.

We hope the tutorials are broadly accessible to anyone with an interest in using _acoupi_.

<div class="md-table">
  <table>
    <thead>
      <tr>
        <th>
          <strong>Tutorials</strong>
        </th>
        <th>Step-by-Step Information</th>
      </tr>
    </thead>
    <tbody>
      <tr>
        <td>
          <a href="Installation">Installation</a>
        </td>
        <td>Learn how to install <i>acoupi</i></td>
      </tr>
      <tr>
        <td>
          <a href="Configuration">Configuration</a>
        </td>
        <td>Learn about the configuration options of an <i>acoupi</i> program.</td>
      </tr>
      <tr>
        <td>
          <a href="Deployment">Deployment</a>
        </td>
        <td>Learn about <i>acoupi</i> deployment</td>
      </tr>
    </tbody>
  </table>
</div>

!!! info "How _acoupi_ works"

    To get a better understanding of the key elements of _acoupi_ have a read at the [_Explanation_](../explanation/index.md) section of the documentation.
    Illustrations and examples should provide you with easy-to-follow descriptions about the structure of the code.

!!! info "_acoupi_ Reference"

    Take a look at the [_Reference_](../reference/index.md) section of the documentation to know which options are available and can be used "out-of the box".

!!! tip "Contribution"

    We are interested to expand the number of tutorials so users can gain more detailed information about specific elements of _acoupi_. If you feel we should do a tutorial about "XYZ", please reach out!
